
function(schpin_compile_options target)
  set_target_properties(${target} PROPERTIES
    CXX_STANDARD 17
    CXX_EXTENSIONS OFF
    )
	target_compile_options(${target} 
    PRIVATE -Wall
            -Werror
            -Wextra
            -Wpedantic
            -Wnon-virtual-dtor
            -Wold-style-cast
            -Wcast-align
            -Wunused
            -Woverloaded-virtual
            -Wnull-dereference
            -Wformat=2
            # -Wduplicated-cond -Wlogical-op -Wuseless-cast
            # -Wlifetime
            -Wunreachable-code
            -Wsign-conversion
            -Wconversion
            -Wdouble-promotion
		)
endfunction()
